import {baseApp} from '@/api'
import request from '@/utils/require'

// 列表获取
export function getPageList(pageForm,param){
    return request({
        url: `${baseApp}/sinkpointRecordsPage/${pageForm.page}/${pageForm.size}`,
        method: 'post',
        data: param
    })
} 
// 获取库点信息
export function getInfoById(id){
    return request({
        url: `${baseApp}/sinkpointRecords/${id}`,
        method: 'get',
    })
} 
// 获取企业信息
export function getCompanyInfo(code){
    return request({
        url: `${baseApp}/company/${code}`,
        method: 'get',
    })
} 

// 库点信息更新
export function editKuDianInfo(param){
    return request({
        url: `${baseApp}/sinkpointRecords`,
        method: 'put',
        data:param
    })
}   
// 库点信息新增
export function addKuDianInfo(param,type){
    return request({
        url: `${baseApp}/insertSinkpointRecords/${type}`,
        method: 'post',
        data:param
    })
}              

// 提交
export function sendKuDianInfo(code){
    return request({
        url: `${baseApp}/sinkpointRecordsRelay/${code}`,
        method: 'post',
    })
}     

export function companyInfo(param){
    return request({
        url: `${baseApp}/companyFiling`,
        method: 'post',
        data:param
    })
} 

// 审批
export function checkKuDianInfo(form){
    return request({
        url: `${baseApp}/sinkpointRecordsDistrictExamine`,
        method: 'post',
        data:form
    })
}   

// 盖章
export function saveOutPotCheck(form){
    return request({
        url: `${baseApp}/sinkpointRecordsDistrictStamp`,
        method: 'post',
        data:form
    })
} 

export function cangListFn(param){
    return request({
        url: `${baseApp}/warehouseList`,
        method: 'post',
        data:param
    })
} 

export function guanListFn(param){
    return request({
        url: `${baseApp}/oiltankList`,
        method: 'post',
        data:param
    })
} 
     